petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscQuadratureGetData

Returns the data defining the quadrature

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscQuadratureGetData(PetscQuadrature q, PetscInt *dim, PetscInt *Nc, PetscInt *npoints, const PetscReal *points[], const PetscReal *weights[])

Not collective

### Input Parameter

q -The PetscQuadrature object

### Output Parameters

| dim | - The spatial dimension
| Nc | - The number of components
| npoints | - The number of quadrature points
| points | - The coordinates of each quadrature point
| weights | - The weight of each quadrature point

### Fortran Notes

From Fortran you must call PetscQuadratureRestoreData() when you are done with the data

### Keywords

PetscQuadrature, quadrature

### See Also

PetscQuadratureCreate(), PetscQuadratureSetData()

### Level

intermediate

### Location

src/dm/dt/interface/dt.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages